summaryrefslogtreecommitdiffstats
path: root/jjb/armband/armband-workspace-cleanup.sh
diff options
context:
space:
mode:
authorAndrei Varvara <andrei.varvara@enea.com>2016-10-21 13:35:15 +0200
committerAndrei Varvara <andrei.varvara@enea.com>2016-10-24 16:58:02 +0200
commit7d1d2d530f5078a5797d2fc39feec7cfbf03b51c (patch)
tree457735fdf8721be4c622c0413a4684433750ece2 /jjb/armband/armband-workspace-cleanup.sh
parentd9ab655653e2d343a8eac7560c50c6bed632a09f (diff)
Add verify jobs for Armband
This patch is similar to what releng/jjb/fuel does for verifying build and deploy. JIRA: ARMBAND-99 Change-Id: Ic6524e921acf458b55fbbb3453638c5fc30db15c Signed-off-by: Andrei Varvara <andrei.varvara@enea.com>
Diffstat (limited to 'jjb/armband/armband-workspace-cleanup.sh')
-rw-r--r--jjb/armband/armband-workspace-cleanup.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/jjb/armband/armband-workspace-cleanup.sh b/jjb/armband/armband-workspace-cleanup.sh
new file mode 100644
index 000000000..d8948c7a0
--- /dev/null
+++ b/jjb/armband/armband-workspace-cleanup.sh
@@ -0,0 +1,15 @@
+#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c) 2016 Ericsson AB and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+set -o errexit
+set -o nounset
+set -o pipefail
+
+# delete the $WORKSPACE to open some space
+/bin/rm -rf $WORKSPACE